﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.ListControls;

namespace WebApplication1
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DataSet ds;

            ds = new DataSet();

            DataTable dt = new DataTable("Table");
            dt.Columns.Add("Id");
            dt.Columns.Add("NewUser");
            dt.Columns.Add("BirthDate", typeof(DateTime));
            dt.Columns.Add("Name");
            dt.Rows.Add(new object[] { 101, "Y", "11/09/1980", "User1" });
            dt.Rows.Add(new object[] { 102, "Y", "11/10/1970", "User2" });
            dt.Rows.Add(new object[] { 103, "Y", "11/12/1875", "User3" });
            dt.Rows.Add(new object[] { 104, "N", "11/11/1988", "User4" });

            //Tables added to the Collections of DataSet
            ds.Tables.Add(dt);

            // Set the table's primary key field
            ds.Tables["Table"].PrimaryKey = new DataColumn[] { ds.Tables["Table"].Columns["Id"] };

            this.WebDataGrid1.DataSource = ds;
            this.WebDataGrid1.DataMember = "Table";
            this.WebDataGrid1.DataKeyFields = "Id";
            this.WebDataGrid1.DataBind();

            WebDropDown ddAdmin = (WebDropDown)this.WebDataGrid1.EditorProviders["ddp"].GetEditor();
            ddAdmin.TextField = "Data";
            ddAdmin.ValueField = "Id";
            ddAdmin.DataSource = MakeTable();
            ddAdmin.DataBind();
        }

        public DataTable MakeTable()
        {
            DataTable table = new DataTable("Table");
            DataColumn column;
            DataRow row;

            column = new DataColumn();
            column.DataType = System.Type.GetType("System.String");
            column.ColumnName = "Id";
            column.ReadOnly = true;
            table.Columns.Add(column);

            column = new DataColumn();
            column.DataType = System.Type.GetType("System.String");
            column.ColumnName = "Data";
            column.AutoIncrement = false;
            table.Columns.Add(column);

            DataColumn[] PrimaryKeyColumns = new DataColumn[1];
            PrimaryKeyColumns[0] = table.Columns["Id"];
            table.PrimaryKey = PrimaryKeyColumns;

            row = table.NewRow();
            row["Id"] = "Y";
            row["Data"] = "Yes";

            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = "N";
            row["Data"] = "No";

            table.Rows.Add(row);

            return table;
        }
    }
}